#ifndef LUAAUTOMATALIB_H__
#define LUAAUTOMATALIB_H__

/********************************************************************
	created:	2009/10/09
	filename: 	LuaAutomataLib.h
	author:		Daniel Wellman
	
	purpose:	Links a console instance to global functions in a lua state

	License: This software may be reproduced and distributed free of charge as
	as long as credit is given to the author. The author assumes no
	responsibility. The software is provided as is.
*********************************************************************/

struct lua_State;

namespace LuaAutomata
{
	class Console;

	namespace LuaAutomataLib
	{
		void AddMethods(lua_State* const L, Console& console);
	}
}
#endif // LUAAUTOMATALIB_H__
