--[[********************************************************************
created:	2009/10/10
filename: 	Debug.lua
author:		Daniel Wellman

purpose:	Provides a debug print interface

License: This software may be reproduced and distributed free of charge as
as long as credit is given to the author. The author assumes no
responsibility. The software is provided as is.
*********************************************************************]]

do
	--Pretty print function
	local function argsTostring(first, ...)
		if select("#", ...) == 0 then
			return tostring(first)
		end
		return tostring(first), argsTostring(...)
	end
	function debug(...)
		WriteDebug(string.format(argsTostring(...)))
	end
end
